---
references:
- id: LazzariniCsound2016
  author:
    - family: Lazzarini
      given: Victor
    - family: Yi
      given: Steven
    - family: Heintz
      given: Joachim
    - family: Brandtsegg
      given: Øyvind
    - family: McCurdy
      given: Iain
  citation-key: LazzariniCsound2016
  issued:
    - year: 2016
  publisher: Springer
  title: 'Csound: A Sound and Music Computing System'
  type: book

- id: McCartneyRethinking2002
  accessed:
    - year: 2019
      month: 9
      day: 10
  author:
    - family: McCartney
      given: James
  citation-key: McCartneyRethinking2002
  container-title: Computer Music Journal
  container-title-short: Computer Music Journal
  DOI: 10.1162/014892602320991383
  ISSN: 0148-9267
  issue: '4'
  issued:
    - year: 2002
      month: 12
      day: 1
  page: 61-68
  title: 'Rethinking the Computer Music Language: SuperCollider'
  type: article-journal
  volume: '26'

- id: OrlareyFAUST2009
  author:
    - family: Orlarey
      given: Yann
    - family: Fober
      given: Dominique
    - family: Letz
      given: Stephane
  citation-key: OrlareyFAUST2009
  issued:
    - year: 2009
  title: 'FAUST: an Efficient Functional Approach to DSP Programming'
  type: article-journal
  URL: https://hal.archives-ouvertes.fr/hal-02159014/

- id: PuckettePure1996
  author:
    - family: Puckette
      given: Miller
  citation-key: PuckettePure1996
  container-title: Proceedings of the second intercollege computer music concerts
  issued:
    - year: 1996
  page: 37–41
  title: 'Pure Data: another integrated computer music environment'
  type: article-journal

- id: PuckettePure1997
  author:
    - family: Puckette
      given: Miller S.
  citation-key: PuckettePure1997
  container-title: ICMC
  issued:
    - year: 1997
  title: Pure Data.
  type: paper-conference

- id: PucketteTheory2007
  author:
    - family: Puckette
      given: Miller
  call-number: ML1380 .P83 2007
  citation-key: PucketteTheory2007
  event-place: Hackensack, NJ
  ISBN: 978-981-270-077-3
  issued:
    - year: 2007
  number-of-pages: '331'
  publisher: World Scientific Publishing Co
  publisher-place: Hackensack, NJ
  title: The theory and technique of electronic music
  type: book

- id: VercoeCsound1986
  author:
    - family: Vercoe
      given: Barry
  citation-key: VercoeCsound1986
  container-title: The CSound Manual Version
  issued:
    - year: 1986
  title: Csound
  type: article-journal
  volume: '3'

- id: VercoeRealtime1990
  author:
    - family: Vercoe
      given: Barry
    - family: Ellis
      given: Dan
  citation-key: VercoeRealtime1990
  container-title: ICMC
  issued:
    - year: 1990
  page: 209–211
  title: 'Real-time CSound: Software Synthesis with Sensing and Control.'
  type: paper-conference
  volume: '90'

- id: WangChucK2015
  accessed:
    - year: 2019
      month: 9
      day: 10
  author:
    - family: Wang
      given: Ge
    - family: Cook
      given: Perry R.
    - family: Salazar
      given: Spencer
  citation-key: WangChucK2015
  container-title: Computer Music Journal
  container-title-short: Computer Music Journal
  DOI: 10.1162/COMJ_a_00324
  ISSN: 0148-9267
  issue: '4'
  issued:
    - year: 2015
      month: 12
      day: 1
  page: 10-29
  title: 'ChucK: A Strongly Timed Computer Music Language'
  type: article-journal
  volume: '39'

- id: WilsonSuperCollider2011
  citation-key: WilsonSuperCollider2011
  editor:
    - family: Wilson
      given: Scott
    - family: Cottle
      given: David
    - family: Collins
      given: Nick
  ISBN: 0-262-23269-3
  issued:
    - year: 2011
      month: 4
      day: 15
  number-of-pages: '776'
  publisher: The MIT Press
  title: The SuperCollider Book
  type: book
  URL: http://supercolliderbook.net/
...
